Index: src/mlx/gui/delaycodes.py
===================================================================
--- src/mlx/gui/delaycodes.py	(revision 995)
+++ src/mlx/gui/delaycodes.py	(revision 996)
@@ -11,10 +11,10 @@
 #------------------------------------------------------------------------------
 
-class Viewport(gtk.Viewport):
+class Viewport(Gtk.Viewport):
     """Viewport implementation that alleviates the problem with improper
     resizing by the VBox."""
     def __init__(self):
         """Construct the viewport."""
-        gtk.Viewport.__init__(self)
+        Gtk.Viewport.__init__(self)
         self._recursive = False
         self._vboxHeight = None
@@ -34,24 +34,24 @@
             allocation.height = self._vboxHeight - allocation.y
             self._vboxHeight = None
-        gtk.Viewport.do_size_allocate(self, allocation)
-
-class DelayCodeTableBase(gtk.VBox, gtk.Scrollable):
+        Gtk.Viewport.do_size_allocate(self, allocation)
+
+class DelayCodeTableBase(Gtk.VBox, Gtk.Scrollable):
     """PyGObject-specific base class for the delay code table."""
     __gproperties__ = {
-        "vscroll-policy" : ( gtk.ScrollablePolicy,
+        "vscroll-policy" : ( Gtk.ScrollablePolicy,
                              "vscroll-policy",
                              "The vertical scrolling policy",
-                             gtk.ScrollablePolicy.MINIMUM,
+                             Gtk.ScrollablePolicy.MINIMUM,
                              GObject.PARAM_READWRITE ),
-        "vadjustment" : ( gtk.Adjustment,
+        "vadjustment" : ( Gtk.Adjustment,
                           "vadjustment",
                           "The vertical adjustment",
                           GObject.PARAM_READWRITE ),
-        "hscroll-policy" : ( gtk.ScrollablePolicy,
+        "hscroll-policy" : ( Gtk.ScrollablePolicy,
                              "hscroll-policy",
                              "The horizontal scrolling policy",
-                             gtk.ScrollablePolicy.MINIMUM,
+                             Gtk.ScrollablePolicy.MINIMUM,
                              GObject.PARAM_READWRITE ),
-        "hadjustment" : ( gtk.Adjustment,
+        "hadjustment" : ( Gtk.Adjustment,
                           "hadjustment",
                           "The horizontal adjustment",
@@ -74,5 +74,5 @@
         do_size_allocate() function of VBox()."""
         self._viewport.setVBOXHeight(allocation.height)
-        gtk.VBox.do_size_allocate(self, allocation)
+        Gtk.VBox.do_size_allocate(self, allocation)
         self.allocate_column_sizes(allocation)
 
@@ -109,5 +109,5 @@
         """Set the style of the event box from the treeview."""
 
-class Alignment(gtk.Alignment):
+class Alignment(Gtk.Alignment):
     """An alignment that remembers the width it was given."""
     def __init__(self, xalign = 0.0, yalign=0.0,
@@ -121,14 +121,14 @@
         """Called with the new size allocation."""
         self.allocatedWidth = allocation.width
-        gtk.Alignment.do_size_allocate(self, allocation)
-
-class TreeView(gtk.TreeView):
+        Gtk.Alignment.do_size_allocate(self, allocation)
+
+class TreeView(Gtk.TreeView):
     def do_size_allocate(self, allocation):
         allocation.height += 1
-        gtk.TreeView.do_size_allocate(self, allocation)
-
-#------------------------------------------------------------------------------
-
-class CheckButton(gtk.CheckButton):
+        Gtk.TreeView.do_size_allocate(self, allocation)
+
+#------------------------------------------------------------------------------
+
+class CheckButton(Gtk.CheckButton):
     """A check button that contains a reference to a row in the delay code
     data table."""
@@ -184,5 +184,5 @@
         self._delayCodeData = None
 
-        self._treeView = TreeView(gtk.ListStore(str, str))
+        self._treeView = TreeView(Gtk.ListStore(str, str))
         self._treeView.set_rules_hint(True)
 
@@ -192,5 +192,5 @@
         self._checkButtons = []
 
-        self._eventBox = gtk.EventBox()
+        self._eventBox = Gtk.EventBox()
 
         self._table = None
@@ -254,14 +254,14 @@
         numRows = len(rows)
 
-        column = gtk.TreeViewColumn("", gtk.CellRendererText())
+        column = Gtk.TreeViewColumn("", Gtk.CellRendererText())
         column.set_sizing(TREE_VIEW_COLUMN_FIXED)
         self._treeView.append_column(column)
 
         for header in headers:
-            column = gtk.TreeViewColumn(header, gtk.CellRendererText())
+            column = Gtk.TreeViewColumn(header, Gtk.CellRendererText())
             column.set_sizing(TREE_VIEW_COLUMN_FIXED)
             self._treeView.append_column(column)
 
-        self._table = gtk.Table(numRows, numColumns)
+        self._table = Gtk.Table(numRows, numColumns)
         self._table.set_homogeneous(False)
         self._table.set_col_spacings(16)
@@ -276,7 +276,7 @@
             (type, elements) = rows[i]
             if type==CAPTION:
-                alignment = gtk.Alignment(xalign = 0.0, yalign = 0.5,
+                alignment = Gtk.Alignment(xalign = 0.0, yalign = 0.5,
                                           xscale = 1.0)
-                label = gtk.Label("<b>" + elements + "</b>")
+                label = Gtk.Label("<b>" + elements + "</b>")
                 label.set_use_markup(True)
                 label.set_alignment(0.0, 0.5)
@@ -297,5 +297,5 @@
 
                 for j in range(0, numColumns-1):
-                    label = gtk.Label(elements[j])
+                    label = Gtk.Label(elements[j])
                     label.set_alignment(0.0, 0.5)
                     alignment = Alignment(xalign = 0.5, yalign = 0.5,
Index: src/mlx/gui/faultexplain.py
===================================================================
--- src/mlx/gui/faultexplain.py	(revision 995)
+++ src/mlx/gui/faultexplain.py	(revision 996)
@@ -19,5 +19,5 @@
 #-------------------------------------------------------------------------------
 
-class FaultFrame(gtk.Frame):
+class FaultFrame(Gtk.Frame):
     """A frame containing the information about a single fault.
 
@@ -26,11 +26,11 @@
     def __init__(self, faultText):
         """Construct the frame."""
-        gtk.Frame.__init__(self)
+        Gtk.Frame.__init__(self)
 
         self._faultText = faultText
 
-        vbox = gtk.VBox()
-
-        self._fault = fault = gtk.Label()
+        vbox = Gtk.VBox()
+
+        self._fault = fault = Gtk.Label()
         fault.set_xalign(0.0)
         fault.set_justify(JUSTIFY_LEFT)
@@ -39,5 +39,5 @@
         self.faultText = faultText
 
-        faultAlignment = gtk.Alignment(xalign = 0.0, yalign = 0.0,
+        faultAlignment = Gtk.Alignment(xalign = 0.0, yalign = 0.0,
                                        xscale = 1.0, yscale = 0.0)
         faultAlignment.set_padding(padding_top = 0, padding_bottom = 0,
@@ -46,5 +46,5 @@
         vbox.pack_start(faultAlignment, True, True, 4)
 
-        self._explanation = explanation = gtk.TextView()
+        self._explanation = explanation = Gtk.TextView()
         explanation.set_wrap_mode(WRAP_WORD)
         explanation.set_accepts_tab(False)
@@ -60,5 +60,5 @@
 
         styleContext = self.get_style_context()
-        color = styleContext.get_background_color(gtk.StateFlags.NORMAL)
+        color = styleContext.get_background_color(Gtk.StateFlags.NORMAL)
         fault.override_background_color(0, color)
 
@@ -119,5 +119,5 @@
 #-------------------------------------------------------------------------------
 
-class FaultExplainWidget(gtk.Frame):
+class FaultExplainWidget(Gtk.Frame):
     """The widget for the faults and their explanations."""
     @staticmethod
@@ -127,5 +127,5 @@
 
     def __init__(self, gui):
-        gtk.Frame.__init__(self)
+        Gtk.Frame.__init__(self)
 
         self._gui = gui
@@ -134,16 +134,16 @@
         label.set_use_underline(True)
 
-        alignment = gtk.Alignment(xalign = 0.5, yalign = 0.5,
+        alignment = Gtk.Alignment(xalign = 0.5, yalign = 0.5,
                                   xscale = 1.0, yscale = 1.0)
         alignment.set_padding(padding_top = 4, padding_bottom = 4,
                               padding_left = 4, padding_right = 4)
 
-        self._outerBox = outerBox = gtk.EventBox()
+        self._outerBox = outerBox = Gtk.EventBox()
         outerBox.add(alignment)
 
-        self._innerBox = innerBox = gtk.EventBox()
+        self._innerBox = innerBox = Gtk.EventBox()
         alignment.add(self._innerBox)
 
-        alignment = gtk.Alignment(xalign = 0.5, yalign = 0.5,
+        alignment = Gtk.Alignment(xalign = 0.5, yalign = 0.5,
                                   xscale = 1.0, yscale = 1.0)
         alignment.set_padding(padding_top = 0, padding_bottom = 0,
@@ -152,9 +152,9 @@
         innerBox.add(alignment)
 
-        scroller = gtk.ScrolledWindow()
+        scroller = Gtk.ScrolledWindow()
         scroller.set_policy(POLICY_AUTOMATIC, POLICY_AUTOMATIC)
         scroller.set_shadow_type(SHADOW_NONE)
 
-        self._faults = gtk.VBox()
+        self._faults = Gtk.VBox()
         self._faults.set_homogeneous(False)
         scroller.add(self._faults)
@@ -189,5 +189,5 @@
         """Add a fault with the given ID and text."""
 
-        alignment = gtk.Alignment(xalign = 0.0, yalign = 0.0,
+        alignment = Gtk.Alignment(xalign = 0.0, yalign = 0.0,
                                       xscale = 1.0, yscale = 0.0)
         alignment.set_padding(padding_top = 2, padding_bottom = 2,
@@ -287,10 +287,10 @@
         else:
             outerColour = \
-                styleContext.get_border_color(gtk.StateFlags.DROP_ACTIVE)
+                styleContext.get_border_color(Gtk.StateFlags.DROP_ACTIVE)
             innerColour = self._gui.backgroundColour
 
-        self._outerBox.override_background_color(gtk.StateFlags.NORMAL,
+        self._outerBox.override_background_color(Gtk.StateFlags.NORMAL,
                                                  outerColour)
-        self._innerBox.override_background_color(gtk.StateFlags.NORMAL,
+        self._innerBox.override_background_color(Gtk.StateFlags.NORMAL,
                                                  innerColour)
 
